Subject: Problem with my order
From: jinjin <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jan 2025 16:51:03 -0800

Hello,
My name is Jin Kang.
I have purchased your towel sets from Amazon twice. I liked the first one
so much that I bought a second one right away. I didn't open the second one
to check it out. When I opened it this morning, there was only one
washcloth.
I knew the return period was over and it was my fault for not checking. But
I didn't know this would happen because the first order was perfect.
Could you please check if I can get one more washcloth?
I'll attach my Amazon order information below.

*ORDER # 112-9071202-1826642*ORDER # 112-9071202-1826642
ORDER # 112-1507516-7624216

Thank you
Jin